#!/bin/bash
#

VERSION=1.0.0
REPOSITORY=http://www.ibr.cs.tu-bs.de/projects/ibr-dtn/releases
MODULES="ibrcommon ibrdtn ibrdtnd ibrdtn-tools"

# download, extract and compile all archives
for MOD in ${MODULES}; do
        if [ ! -e "${MOD}-${VERSION}.tar.gz" ]; then
                wget ${REPOSITORY}/${MOD}-${VERSION}.tar.gz
        fi

        if [ ! -d "${MOD}-${VERSION}" ]; then
                tar xvzf ${MOD}-${VERSION}.tar.gz
        fi

        cd ${MOD}-${VERSION}
        ./configure

        if [ $? -gt 0 ]; then
                echo "error while configure ${MOD}"
                exit 1
        fi

        make

        if [ $? -gt 0 ]; then
                echo "error while compiling ${MOD}"
                exit 1
        fi
        
        sudo make install

        cd ..
done
